Subject: RE: [mobile-ip] WG Feedback Requested

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 19 Dec 2001 19:51:45 +0100

=> Aha ! Thanks for the enlightenment, but you've missed
my point. Your theoritical analysis was 
based on an implementation on a cellular link
with certain characteristics (e.g. you had to 
send MIP signalling on the same channel as the
traffic data). Now your implementation is 
on an ethernet, so I'm not sure which theory 
that confirms.
In addition, the standard we follow is RFC2002, 
your implementation didn't follow that standard, 
so what do you disagree with when I say that 
the implementation is not correct ?
Please clarify this to me.

  > 
  > If you want to prove these wrong, then I suggest
  > you implement Prereg and show results that
  > contradict the ones I presented. We are not talking about
  > extraterristrial abductions here.

=> I don't have to implement it to show you 
you've done something wrong, I can read 
text ! section 4.1.1 of your paper is only one 
example of the wrong implementation  and there 
is more.
 
  > One way to make progress is for the WG to
  > do the hard call and separate the two
  > proposals into two drafts, as I suggested
  > in SLC. Since the WG and chairs don't
  > seem inclined to make that hard call,
  > another way would be to move the
  > whole thing to experimental, as Raj
  > has proposed.

=> Separating the draft again is simply 
irrational and takes us back a year. 
If the WG decides on the next steps, we
should abide of course, but I want to make
it clear that we have the right foundations
for othe decision. And that definitely (no offence) 
should not be based on the presentation in SLC, 
because anyone who reads the paper will realise
where the errors are. 

  > Meanwhile, we can separate out PFANE
  > from the route optimization draft, and
  > those who want something that's already
  > had a good deal of implementation
  > experience can use that.
  > 

=> I'm neutral to that, but what implementations
are you referring too. Is the route opt 
draft actually widely implemented ?
George T has an implementation, but does anyone 
else ? Just curious.

Hesham

---

From: "James Kempf" <[email-masked]>
Date: Wed, 19 Dec 2001 11:52:54 -0800

Hesham,

----- 
Hesham,

> on an ethernet, so I'm not sure which theory 

Look at the simulation description
in http://geocities.com/kempf42/llanalysis.pdf. 
The simulation was designed to work like a cellular link
(10 ms latency on the simulated radio channel).

> Please clarify this to me.

Again, you are misrepresenting the discussion that
Jon and Karim had on the mailing list. Our
code was based on Solaris MIPv4, which 
implements RFC2002. How can you say
that our implementation doesn't follow
the standard when you've never looked at it?

> example of the wrong implementation  and there 

No, but you have to implement something
to prove to the working group
that you've done something worth having
lots of people implement as a standard. IETF
is not an academic conference where people
publish theoretical papers then everybody
forgets about them. The work we do is
implemented and deployed by many companies
at great expense. It is incumbent upon us 
to prove that what we promote as a standard
works as claimed.

Now, Jon and I have done some implementation
work that shows Prereg doesn't work very
well for particular kinds of radio links. You
and Karim are the authors of Prereg. If you
think we are wrong, implement it yourselves
and prove us wrong!

> because anyone who reads the paper will realise

Hesham, I've argued from the start that the
WG should select either one or another of
the techniques. The so-called "errors" in
the SLC presentation are your misrepresentations
of conversations between Jon and Karim on
the mailing list. You have not ever addressed
my specific question of Prereg's failure
when the MN is moving too fast to
complete the Prereg signaling on the
old FA.

Until you address this, your arguments are
completely baseless. 

            jak

---

From: "Alper E. YEGIN" <[email-masked]>
Date: Wed, 19 Dec 2001 20:39:39 -0800

Few general comments....

The discussions on FMIPv4 surely
maps to FMIPv6... (an obvious
observation)

I think while PFANE is an improvement
over regular MIPv4 as far as low
latency is concerned, I don't think
it can be as fast as prereg. Exchanging
protocol signaling after the L2 handover would 
be slower.

I think both approaches have L2 trigger
requirements. How can one not require any?
So saying postreg requires triggers is
misleading. prereg does too.
It's just they have different L2 trigger
requirements.

Because what postreg requires (source/target triggers)
is not available on every link, we need prereg. And that's 
where people can use prereg. I think this is obvious 
even without comparing numbers.

alper

---

From: "James Kempf" <[email-masked]>
Date: Thu, 20 Dec 2001 08:31:22 -0800

Alper,

> protocol signaling after the L2 handover would

Please see
http://geocities.com/kempf42/draft-kempf-mobileip-postmit-handover-00.tx
t.
This contains measurments of a technique that
is similar to PFANE. The performance is about the
same as Prereg for high latency radio links.

            jak

---

From: "Alper Yegin" <[email-masked]>
Date: Thu, 20 Dec 2001 12:23:55 -0800

James,

> same as Prereg for high latency radio links.

Your method above is more like an optimized PFANE.
My understanding is that, the route optim. draft puts this
extension in the registration request (which can only happen
after a router discovery [receive unsoliicted RA; or send RS 
and receive RA]).

Your draft puts a similar extension in the RS, therefore faster
than (and not same as) standard PFANE.

alper